Get all components
curl --request GET \
--url https://api.app.hrizn.io/v1/public/content/{id}/components \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/content/{id}/components"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content/{id}/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content/{id}/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/content/{id}/components",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"components": [
{
"id": "89590820-899c-457a-8325-411011d65e92",
"type": "imagePrompt",
"content": "A commanding 2026 Chevy Silverado 3500 DRW pickup truck, gleaming metallic blue...",
"metadata": null,
"status": "complete",
"created_at": "2026-02-27T21:42:56.812584+00:00",
"updated_at": "2026-02-27T21:43:02.084779+00:00"
},
{
"id": "efa776ff-2ab4-4ac7-b591-9468e1c120f5",
"type": "body",
"content": "## Unveiling the Power and Performance of the 2026 Chevy Silverado 3500 DRW\n\nThe 2026 Chevy Silverado 3500 DRW is engineered to deliver...",
"metadata": null,
"status": "complete",
"created_at": "2026-02-27T21:41:23.938039+00:00",
"updated_at": "2026-02-27T21:42:56.625882+00:00"
},
{
"id": "e2d8a670-2f83-466c-b829-e21a9b70ab58",
"type": "searchIntent",
"content": "Commercial Intent",
"metadata": null,
"status": "complete",
"created_at": "2026-02-27T21:42:56.810587+00:00",
"updated_at": "2026-02-27T21:42:57.458068+00:00"
}
]
}
}
Get content components
Get all components or a specific component type
GET
/
content
/
{id}
/
components
Get all components
Returns content components (body, SEO metadata, schemas, social snippets, etc.). Optionally filter by component type.
Scope required:
Available component types:
When requesting a single component type, the response returns the component object directly instead of the
content:read
Path parameters
UUID of the content.
Optional path
Append/{type} to get a single component type. The type parameter is case-insensitive — body, Body, and BODY all work:
GET /content/{id}/components/seoMetadata
GET /content/{id}/components/SEOMETADATA
body, seoMetadata, pageSlugs, postTags, blogCategories, searchIntent, facebookSnip, twitterSnip, instagramSnip, googleBusinessSnip, videoScript, imagePrompt, articleSchema, authorSchema, organizationSchema, vehicleListingSchema, faqSchema, eventSchema, qaPageSchema, webPageSchema, webSiteSchema, breadcrumbSchema, layout_html.
See Component types for the full reference.
{
"data": {
"components": [
{
"id": "89590820-899c-457a-8325-411011d65e92",
"type": "imagePrompt",
"content": "A commanding 2026 Chevy Silverado 3500 DRW pickup truck, gleaming metallic blue...",
"metadata": null,
"status": "complete",
"created_at": "2026-02-27T21:42:56.812584+00:00",
"updated_at": "2026-02-27T21:43:02.084779+00:00"
},
{
"id": "efa776ff-2ab4-4ac7-b591-9468e1c120f5",
"type": "body",
"content": "## Unveiling the Power and Performance of the 2026 Chevy Silverado 3500 DRW\n\nThe 2026 Chevy Silverado 3500 DRW is engineered to deliver...",
"metadata": null,
"status": "complete",
"created_at": "2026-02-27T21:41:23.938039+00:00",
"updated_at": "2026-02-27T21:42:56.625882+00:00"
},
{
"id": "e2d8a670-2f83-466c-b829-e21a9b70ab58",
"type": "searchIntent",
"content": "Commercial Intent",
"metadata": null,
"status": "complete",
"created_at": "2026-02-27T21:42:56.810587+00:00",
"updated_at": "2026-02-27T21:42:57.458068+00:00"
}
]
}
}
components array:
{
"data": {
"id": "efa776ff-2ab4-4ac7-b591-9468e1c120f5",
"type": "body",
"content": "## Unveiling the Power and Performance of the 2026 Chevy Silverado 3500 DRW\n\n...",
"metadata": null,
"status": "complete",
"created_at": "2026-02-27T21:41:23.938039+00:00",
"updated_at": "2026-02-27T21:42:56.625882+00:00"
}
}
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
Content ID
Response
All content components
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Component type identifier (camelCase). The path parameter is case-insensitive (e.g. body, Body, and BODY all work), but the API returns the canonical camelCase form in responses.
Available options:
body, seoMetadata, pageSlugs, postTags, blogCategories, searchIntent, facebookSnip, twitterSnip, instagramSnip, googleBusinessSnip, videoScript, articleSchema, authorSchema, organizationSchema, vehicleListingSchema, faqSchema, eventSchema, qaPageSchema, layout_html Last modified on March 28, 2026
⌘I
